Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface BuildLogger

All Superinterfaces:
  BuildListener, java.util.EventListener

All Known Implementing Classes:
  DefaultLogger

public interface BuildLogger
extends BuildListener

Interface used by Ant to log the build output. A build logger is a build listener which has the 'right' to send output to the ant log, which is usually System.out unles redirected by the -logfile option.

Author:
  Conor MacNeill

Method Summary
`void` | `setEmacsMode(boolean emacsMode)` Set this logger to produce emacs (and other editor) friendly output.
`void` | `setErrorPrintStream(java.io.PrintStream err)` Set the output stream to which this logger is to send error messages.
`void` | `setMessageOutputLevel(int level)` Set the msgOutputLevel this logger is to respond to.
`void` | `setOutputPrintStream(java.io.PrintStream output)` Set the output stream to which this logger is to send its output.

Methods inherited from interface org.apache.tools.ant.BuildListener
`buildFinished, buildStarted, messageLogged, targetFinished, targetStarted, taskFinished, taskStarted`

Method Detail

### setMessageOutputLevel

    public void setMessageOutputLevel(int level)

  Set the msgOutputLevel this logger is to respond to. Only messages with a message level lower than or equal to the given level are output to the log.

  Constants for the message levels are in Project.java. The order of the levels, from least to most verbose, is MSG_ERR, MSG_WARN, MSG_INFO, MSG_VERBOSE, MSG_DEBUG.

  Parameters:
    `level` - the logging level for the logger.

### setOutputPrintStream

    public void setOutputPrintStream(java.io.PrintStream output)

  Set the output stream to which this logger is to send its output.
  Parameters:
    `output` - the output stream for the logger.

### setEmacsMode

    public void setEmacsMode(boolean emacsMode)

  Set this logger to produce emacs (and other editor) friendly output.
  Parameters:
    `emacsMode` - true if output is to be unadorned so that emacs and other editors can parse files names, etc.

### setErrorPrintStream

    public void setErrorPrintStream(java.io.PrintStream err)

  Set the output stream to which this logger is to send error messages.
  Parameters:
    `err` - the error stream for the logger.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.